%{?scl:%scl_package aether-connector-okhttp}
%{!?scl:%global pkg_name %{name}}

%global baserelease 1

%global commit a1115e45f2a52d3b43d3b4f885eb8eaf041e69df
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           %{?scl_prefix}aether-connector-okhttp
Version:        0.17.3
Release:        3.%{baserelease}%{?dist}
Summary:        OkHttp Aether Connector

# src/main/java/io/tesla/aether/wagon/OkHttpsWagon.java is ASL and EPL
License:        EPL and (ASL 2.0 and EPL)
URL:            https://github.com/tesla/%{pkg_name}
Source0:        https://github.com/tesla/%{pkg_name}/archive/%{commit}/%{pkg_name}-%{version}-%{shortcommit}.tar.gz

BuildArch:      noarch

BuildRequires:  %{?scl_prefix_maven}maven-local
BuildRequires:  %{?scl_prefix}mvn(com.google.guava:guava:18.0)
BuildRequires:  %{?scl_prefix}mvn(com.squareup.okhttp3:okhttp) >= 3.10.0
BuildRequires:  %{?scl_prefix}mvn(com.squareup.okio:okio) >= 1.14.0
BuildRequires:  %{?scl_prefix_maven}mvn(javax.inject:javax.inject)
BuildRequires:  %{?scl_prefix_maven}mvn(org.apache.maven.wagon:wagon-provider-api)
BuildRequires:  %{?scl_prefix}mvn(org.eclipse.aether:aether-api:1.1.0)
BuildRequires:  %{?scl_prefix}mvn(org.eclipse.aether:aether-impl:1.1.0)
BuildRequires:  %{?scl_prefix}mvn(org.eclipse.aether:aether-spi:1.1.0)
BuildRequires:  %{?scl_prefix}mvn(org.eclipse.aether:aether-util:1.1.0)
BuildRequires:  %{?scl_prefix_maven}mvn(org.eclipse.sisu:org.eclipse.sisu.inject)
BuildRequires:  %{?scl_prefix_maven}mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)
BuildRequires:  %{?scl_prefix_maven}mvn(org.slf4j:slf4j-api)
BuildRequires:  %{?scl_prefix_maven}mvn(org.sonatype.plugins:sisu-maven-plugin)
BuildRequires:  %{?scl_prefix}mvn(org.sonatype.sisu:sisu-guice::no_aop:)

Requires:  %{?scl_prefix}mvn(com.squareup.okhttp3:okhttp) >= 3.10.0
Requires:  %{?scl_prefix}mvn(com.squareup.okio:okio) >= 1.14.0

%description
A repository connector implementation based on Square's OkHttp.

%package javadoc
Summary:        Javadoc for %{pkg_name}

%description javadoc
API documentation for %{pkg_name}.


%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n %{pkg_name}-%{commit}

find -name '*.class' -delete
find -name '*.jar' -delete

# Avoid reliance on takari-lifecycle
%pom_remove_parent
%pom_xpath_remove "pom:packaging"
%pom_add_plugin "org.sonatype.plugins:sisu-maven-plugin" . \
"        <executions>
          <execution>
            <id>generate-index</id>
            <phase>process-classes</phase>
            <goals><goal>main-index</goal></goals>
          </execution>
        </executions>"
%{?scl:EOFSCL}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
# We don't have all test deps (e.g. npn-boot, provisio-webserver)
%mvn_build --skip-tests -- -Dtakari.privatePackageReference=ignore -Dmaven.compiler.source=1.7 -Dmaven.compiler.target=1.7
%{?scl:EOFSCL}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_install
%{?scl:EOFSCL}

%files -f .mfiles
%license eclipse-1.0.txt
%license license-header.txt

%files javadoc -f .mfiles-javadoc
%license eclipse-1.0.txt

%changelog
* Wed Mar 06 2019 Mat Booth <mat.booth@redhat.com> - 0.17.3-3.1
- Auto SCL-ise package for rh-eclipse collection

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Mar 20 2018 Mat Booth <mat.booth@redhat.com> - 0.17.3-1
- Update to latest release

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Sep 11 2017 Mat Booth <mat.booth@redhat.com> - 0.16.0-1
- Update to upstream version 0.16.0

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 11 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.14.0-1
- Update to upstream version 0.14.0

* Fri Jul 25 2014 Mat Booth <mat.booth@redhat.com> - 0.12.0-4
- Fix failure to build with the latest version of guava

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 24 2014 Gerard Ryan <galileo@fedoraproject.org> - 0.12.0-2
- Update to latest upstream version 0.12.0
- RHBZ#1100949: Patch for latest aether api

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.0.11-3
- Use Requires: java-headless rebuild (#1067528)

* Wed Feb 5 2014 Gerard Ryan <galileo@fedoraproject.org> - 0.0.11-2
- Initial rpm